Subject: Login & Who
From: [email-masked] ("Sonic Junior")

28 Jul 1997 17:32:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Sergey Okhapkin" <[email-masked]>
Original-Cc: "GNU Win 32" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

	Ummm, well, I tried the login() command (it generates utmp), and who does
this:
	/PROGRA~1/GNUWIN32/B18/H-I386~1/BIN/WHO.EXE: /var/run/utmp
	(I also tried coping utmp from other systems, same result.)
	If it does not exist, I get this:

/PROGRA~1/GNUWIN32/B18/H-I386~1/BIN/WHO.EXE: /var/run/utmp: No such file or
directory.

	Any idea??

	SJ

----------
> From: Sergey Okhapkin <[email-masked]>
> To: 'Sonic Junior' <[email-masked]>
> Subject: RE: Identd? Possible?
> Date: Monday, July 28, 1997 12:03 AM
> 
> Sonic Junior wrote:
> >
> > 	I heard under NT, that when someone telnets in, that it is run in the
> > security context of that user [so they have to abide by NTFS
priviliges,
> > correct?]
> 
> Yes.
> 
> > 	Anyway, is there an identd server for Cygwin? I'd like one that can
> > determine which user is connecting similiar to Identd on Unix. If I am
> > correct, all socket calls are done through cygwin.dll, right? Could you
> > somehow detect thru the dll which user is using that socket?
> > P.S. Is there a who/w/uptime command available for telnet?
> 
> Who etc requires utmp and wtmp files. The login program proveded doesn't 
> fill in these files. It should be done with commented out login() call in

> login source. If you send me a correct login() call implementation, I'll 
> add it to login program, so all neccesary files will be filled, and who, 
> identd etc will work.
> 
> --
> Sergey Okhapkin, http://www.lexa.ru/sos
> Moscow, Russia
> Looking for a job
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".